package cmd

import (
	"fmt"
	"os"
)

var (
	url    string
	max    int
	output string
	host   = "https://img4.qy0.ru"
)

func init() {
	rootCmd.PersistentFlags().StringVarP(&url, "url", "u", "", "除域名外的链接")
	rootCmd.PersistentFlags().IntVarP(&max, "max", "m", 1, "图片最大值")
	rootCmd.PersistentFlags().StringVarP(&output, "output", "o", "anime", "设置漫画抓取结果的保存位置，默认为当前用户的主目录下的 anime 文件夹")
}

func IfPathNotExistDoMkdir(path string) error {
	_, err := os.Stat(path)
	if err != nil || os.IsNotExist(err) {
		err := os.MkdirAll(path, 0777)
		if err != nil {
			return err
		}
	}

	return nil
}

func Execute() {
	if err := rootCmd.Execute(); err != nil {
		fmt.Println(err)
		os.Exit(1)
	}
}
